<digi-layout-block>
  <digi-typography-heading-jumbo
    af-text="Språkväljare"></digi-typography-heading-jumbo>
  <digi-typography-preamble>
    Vi är Sveriges största förmedlare av arbeten. Vårt jobb är att så effektivt
    som möjligt föra samman dem som söker medarbetare med dem som söker jobb.
  </digi-typography-preamble>
</digi-layout-block>
<digi-layout-block
  af-variation="secondary"
  af-container="static"
  af-vertical-padding="true"
  af-margin-top="true">
  <div style="display: flex; align-items: center">
    <digi-navigation-context-menu
      id="Languagepicker"
      [attr.af-text]="'Languages'"
      [attr.af-icon]="'language'"
      [afNavigationContextMenuItems]="languagesJson"
      (afOnSelect)="onSelect($event)">
    </digi-navigation-context-menu>
    &nbsp; &nbsp;
    <digi-button
      [attr.af-size]="'medium'"
      [attr.af-variation]="'function'"
      [attr.af-full-width]="false">
      <digi-icon-volume [attr.slot]="'icon'"></digi-icon-volume>
      Lyssna
    </digi-button>
  </div>
</digi-layout-block>
<digi-layout-block
  af-variation="primary"
  af-container="static"
  af-vertical-padding="true"
  af-margin-top="true">
  <ul id="debug">
    <li>
      <h2>Selected language: {{ selectedLanguage }}</h2>
    </li>
    <li>
      <digi-button
        class="digi-button digi-button--primary digi-button--medium"
        type="button"
        (click)="onDemoButtonClick()">
        Shuffle array
      </digi-button>
    </li>
    <li>
      <digi-button
        af-variation="secondary"
        type="button"
        (click)="onSkanskaButtonClick()">
        Add skånska
      </digi-button>
    </li>
    <li>
      <digi-button type="button" (click)="onRemoveLanguageButtonClick()">
        Ta bort språk
      </digi-button>
    </li>
  </ul>
</digi-layout-block>
<style>
  ul#debug li {
    margin-bottom: 20px;
  }
</style>
<!--
  [attr.af-navigation-context-menu-items]="languagesJson"
  [afNavigationContextMenuItems]="languagesJson"
-->
